Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::search_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename V , typename C = equal_to, typename P = identity>
auto | operator() (I begin, S end, iter_difference_t< I > count, V const &val, C pred=C{}, P proj=P{}) const -> subrange< I > requires forward_iterator< I > &&sentinel_for< S, I > &&indirectly_comparable< I, V const *, C, P >
template<typename Rng , typename V , typename C = equal_to, typename P = identity>
auto | operator() (Rng &&rng, iter_difference_t< iterator_t< Rng >> count, V const &val, C pred=C{}, P proj=P{}) const -> safe_subrange_t< Rng > requires forward_range< Rng > &&indirectly_comparable< iterator_t< Rng >, V const *, C, P >